<div class="container-fluid">
    <section class="row">
      <h2>{{ page_title }}</h2>
    </section>
    <hr>
    <section class="row">
      <article class="col-12">
        <section class="card">
            <p-dataView [value]="purhcasedDecks" layout="grid" [rows]="9">
                <ng-template pTemplate="header">Compras</ng-template>
                <ng-template let-deck pTemplate="gridItem">
                    <div class="card-deck col-12 col-md-4">
                        <div class="card">
                          <img class="card-img-top" src="{{url + 'card/getCard/'+deck.image}}" alt="Card image cap">
                          <div class="card-body">
                              <div class="row">
                                    <div class="col-12">
                                      <div class="row">
                                        <div class="col-12 col-md-10">
                                          <h6 class="card-title">{{deck.nombre_deck}} ${{deck.precio}} MXN</h6>  
                                        </div>
                                        <div class="col-12 col-md-2">
                                          <i class="fa fa-info-circle fa-2x" (click)="displayModal(deck)" style="cursor: pointer;"></i>
                                        </div>
                                      </div>
                                      <!-- <p class="card-text"><small class="text-muted">Artista {{deck.artista}}</small> <i class="pi pi-facebook" style="font-size: 2rem"></i></p> -->
                                    </div>
                                    <div class="col-12">
                                      <p class="card-text">{{ deck.descripcion }}</p>
                                      <a pButton label="Descargar" icon="pi pi-download" iconPos="left" href="{{url+ 'downloadZip/'+deck.image }}" target="_blank" rel="noopener noreferrer" download="imarain_deck_1er_edicion.zip"></a>
                                       <!--  <button pButton type="button" label="Descargar" icon="pi pi-download" iconPos="left" (click)="getDeckZipFile(deck.image.replace('.png','.zip'))" class="form-control"></button> -->
                                    </div>
                              </div>
                          </div>
                        </div>
                    </div>
                </ng-template>
               
            </p-dataView>
            <!-- <article *ngFor="let image of deckImgs; index as i" class="col-12 col-sm-3 col-md-3 mb-4">
                <div class="card" style="width: 18rem;" *ngIf="image !== null">
                    <img class="card-img-top" src="{{url + 'card/getCard/'+image}}" alt="Card image cap" >
                    <div class="">
                      <button type="button" class="btn btn-primary form-control">
                        Agregar al carrito
                      </button>
                    </div>
                  </div>
              
            </article> -->
        </section>
      </article>
    </section>
  </div>
  <!-- Modal -->
<p-dialog header="IMARAIN:" modal="true" [(visible)]="display" class="">
  <div class="row text-center">
    <div class="col-12">
      <p>El deck contiene una serie de sonidos e imagenes coleccionables que puedes descargar en cualquier momento.</p>
      <h6>Precio: ${{ precio }} MXN</h6>
    </div>
  </div>
  <hr>
  <div class="row justify-content-center">
    <div class="col-12 col-md-5">
      <img src="{{'../../../assets/images/'+credits_image}}" alt="imagen créditos" class="img-fluid">
    </div>
  </div>
  <hr>
</p-dialog>
  <ngx-spinner></ngx-spinner>